;;; Minimal setup to load latest `org-mode'

;; activate debugging
(setq debug-on-error t
      debug-on-signal nil
      debug-on-quit nil)

;; add latest org-mode to load path
;;(add-to-list 'load-path (expand-file-name "/path/to/org-mode/lisp"))
;;(add-to-list 'load-path (expand-file-name "/path/to/org-mode/contrib/lisp"))

(global-set-key (kbd "<f12>") 'org-agenda)
(global-set-key "\C-ca" 'org-agenda)

;; Agenda-mode settings
(custom-set-variables
 '(org-agenda-files (quote ("~/org/debugtable.org" "~/org/debugtable2.org")))
)

(setq org-columns-default-format "%50ITEM(Task) %10Effort(Estimate){:} %10CLOCKSUM")
(setq org-agenda-overriding-columns-format "%50ITEM(Task) %10Effort(Estimate){:} %10CLOCKSUM")

(setq org-agenda-custom-commands
      '(("c" "Agenda and CDC tasks"
	 ((agenda "")
	  (tags-todo "test"))
	 )))

;; activate org
(require 'org-install)
